Package org.springframework.cloud.task.batch.autoconfigure.jdbc

# Class JdbcCursorItemReaderAutoConfiguration

java.lang.Object
org.springframework.cloud.task.batch.autoconfigure.jdbc.JdbcCursorItemReaderAutoConfiguration

@Configuration(proxyBeanMethods=false) @EnableConfigurationProperties(JdbcCursorItemReaderProperties.class) @AutoConfigureAfter(org.springframework.boot.autoconfigure.batch.BatchAutoConfiguration.class) @ConditionalOnProperty(prefix="spring.batch.job.jdbccursoritemreader", name="name") public class JdbcCursorItemReaderAutoConfiguration extends Object

Since:
  2.3
Author:
  Michael Minella, Glenn Renfro

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `JdbcCursorItemReaderAutoConfiguration.MapRowMapper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JdbcCursorItemReaderAutoConfiguration(JdbcCursorItemReaderProperties properties, DataSource dataSource)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.batch.item.database.JdbcCursorItemReader<Map<String,Object>>`
  `itemReader(org.springframework.jdbc.core.RowMapper<Map<String,Object>> rowMapper, org.springframework.jdbc.core.PreparedStatementSetter preparedStatementSetter)`
  `org.springframework.jdbc.core.RowMapper<Map<String,Object>>`
  `rowMapper()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JdbcCursorItemReaderAutoConfiguration

    public JdbcCursorItemReaderAutoConfiguration(JdbcCursorItemReaderProperties properties, DataSource dataSource)

- ## Method Details

  - ### itemReader

    @Bean @ConditionalOnMissingBean public org.springframework.batch.item.database.JdbcCursorItemReader<Map<String,Object>> itemReader(@Autowired(required=false) org.springframework.jdbc.core.RowMapper<Map<String,Object>> rowMapper, @Autowired(required=false) org.springframework.jdbc.core.PreparedStatementSetter preparedStatementSetter)

  - ### rowMapper

    @Bean @ConditionalOnMissingBean public org.springframework.jdbc.core.RowMapper<Map<String,Object>> rowMapper()